Developers
API ReferenceVacation Type

Creates a VacationType resource.

POST
/calendar/vacation-types

Creates a VacationType resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new VacationType resource

  1. body
name*string
Lengthlength <= 100
decrementVacation*boolean
isActive*boolean
Defaulttrue

Response Body

VacationType resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
decrementVacation?boolean
isActive?boolean
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/calendar/vacation-types' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "decrementVacation": true,  "isActive": true}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "decrementVacation": true,  "isActive": true}